Subject: Re: [PATCH] Add inline comments to the pg_hba_file_rules view

From: Daniel Gustafsson <[email-masked]>
Date: Tue, 26 Sep 2023 15:55:31 +0200

> On 26 Sep 2023, at 15:19, Peter Eisentraut <[email-masked]> wrote:
> 
> On 04.09.23 11:54, Jim Jones wrote:
>> This patch proposes the column "comment" to the pg_hba_file_rules view. It basically parses the inline comment (if any) of a valid pg_hba.conf entry and displays it in the new column.
>> For such pg_hba entries ...
>> host db jim 127.0.0.1/32 md5 # foo
>> host db jim 127.0.0.1/32 md5 #bar
>> host db jim 127.0.0.1/32 md5 #     #foo#
> 
> I'm skeptical about this.
> 
> First, there are multiple commenting styles.  The end-of-line style is less common in my experience, because pg_hba.conf lines tend to belong. Another style is
> 
> # foo
> host db jim 127.0.0.1/32 md5
> # bar
> host db jim 127.0.0.1/32 md5
> 
> or even as a block
> 
> # foo and bar
> host db jim 127.0.0.1/32 md5
> host db jim 127.0.0.1/32 md5

Or even a more complicated one (which I've seen variants of in production)
where only horizontal whitespace separates two subsequent lines of comments:

# Block comment
host db jim 127.0.0.1/32 md5 #end of line multi-
                             #line comment
# A new block comment directly following
host db jim 127.0.0.1/32 md5

> I think we should leave file comments be file comments.  If we want some annotations to be exported to higher-level views, we should make that an intentional and explicit separate feature.

+1

--
Daniel Gustafsson